Opened 5 years ago

Closed 5 years ago

#52111 closed enhancement (fixed)

rpm54: update to perl5.24 adding perl variants to match dependency ossp-uuid

Reported by: dbevans (David B. Evans) Owned by: n3npq@…
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc: afb@…
Port: rpm54

Description

As requested in #52081, rpm54 should to be updated to use perl5.24 by default. Note, however, that dependency ossp-uuid uses variants to select the perl version so I suggest that this port should do the same to match.

Attached is a patch that uses the perl5 portgroup to add variants +perl5_22 +perl5_24 defaulting to +perl5_24.

Attachments (1)

patch-rpm54.diff (1.7 KB) - added by dbevans (David B. Evans) 5 years ago.
Proposed patch with suggested changes

Download all attachments as: .zip

Change History (4)

Changed 5 years ago by dbevans (David B. Evans)

Attachment: patch-rpm54.diff added

Proposed patch with suggested changes

comment:1 Changed 5 years ago by dbevans (David B. Evans)

Type: defectupdate

Not a defect but an update.

comment:2 Changed 5 years ago by mf2k (Frank Schima)

Type: updateenhancement
Version: 2.3.4

To be nitpicky, this is an enhancement. An "update" is for version updates.

comment:3 Changed 5 years ago by dbevans (David B. Evans)

Resolution: fixed
Status: newclosed

Committed in r152142, maintainer timeout.

Note: See TracTickets for help on using tickets.